Bug 240242 - devel/bzr: Update to 2.7.0.6622
Summary: devel/bzr: Update to 2.7.0.6622
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks: 237513
  Show dependency treegraph
 
Reported: 2019-08-31 23:06 UTC by fullermd
Modified: 2019-11-03 23:33 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (fullermd)


Attachments
Update to bzr r6622 (7.90 KB, patch)
2019-08-31 23:06 UTC, fullermd
fullermd: maintainer-approval+
Details | Diff
Update to bzr r6622 (8.14 KB, patch)
2019-09-05 01:22 UTC, fullermd
fullermd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fullermd 2019-08-31 23:06:59 UTC
Created attachment 207053 [details]
Update to bzr r6622

Upstream has pretty well ceased releasing, but there's enough fixes post last release to warrant updating, plus an uncommitted patch.
Comment 1 Yuri Victorovich freebsd_committer 2019-09-01 01:28:24 UTC
=> Fetched file size mismatch (expected 10945747, actual 10945737)
Comment 2 Yuri Victorovich freebsd_committer 2019-09-01 22:39:09 UTC
The port is at 3.0.1.
This patch is for 2.7.0.
Comment 3 fullermd 2019-09-02 19:36:50 UTC
Hm, the mismatch probably means LP's tarball generation isn't as deterministic as I thought it was   :|  I'll look into it, maybe just have to pregen and host the tarball.  May take me a couple days to get a chance.

As for the version, I suspect you were looking at devel/b*rz* (which _is_ at 3.0.1, of a related but not the same program), not devel/b*zr* which is 2.7.0.
Comment 4 fullermd 2019-09-05 01:22:15 UTC
Created attachment 207199 [details]
Update to bzr r6622

Pregen and host a tarball of upstream, since LP's tarball generation isn't at all repeatable.
Comment 5 fullermd 2019-11-03 22:40:02 UTC
ping
Comment 6 commit-hook freebsd_committer 2019-11-03 23:33:08 UTC
A commit references this bug:

Author: yuri
Date: Sun Nov  3 23:32:38 UTC 2019
New revision: 516614
URL: https://svnweb.freebsd.org/changeset/ports/516614

Log:
  devel/bzr: Update 2.7.0 -> 2.7.0.6622

  PR:		240242
  Submitted by:	fullermd@over-yonder.net (maintainer)

Changes:
  head/devel/bzr/Makefile
  head/devel/bzr/distinfo
  head/devel/bzr/files/
  head/devel/bzr/files/patch-ssh_hostname
  head/devel/bzr/pkg-plist
Comment 7 Yuri Victorovich freebsd_committer 2019-11-03 23:33:12 UTC
Committed with small changes.
Thank you for your update!